# eric4.VCS.CommandOptionsDialog

Module implementing the VCS command options dialog.

### Global Attributes

None

### Classes

vcsCommandOptionsDialog | Class implementing the VCS command options dialog.

### Functions

None

## vcsCommandOptionsDialog

Class implementing the VCS command options dialog.

### Derived from

QDialog, Ui_vcsCommandOptionsDialog

### Class Attributes

None

### Class Methods

None

### Methods

vcsCommandOptionsDialog | Constructor
getOptions | Public method used to retrieve the entered options.

### Static Methods

None

#### vcsCommandOptionsDialog (Constructor)

vcsCommandOptionsDialog(vcs, parent=None)

Constructor

vcs
  reference to the vcs object
parent
  parent widget (QWidget)

#### vcsCommandOptionsDialog.getOptions

getOptions()

Public method used to retrieve the entered options.

Returns:
  dictionary of strings giving the options for each supported vcs command

Up